Subject: Re: [netlmm] #90: Configure DNA default router switching eagerly

From: netlmm <[email-masked]>
Date: Mon, 03 Jul 2006 09:26:06 -0000

#90: Configure DNA default router switching eagerly
-----------------------------------------+----------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  enhancement                 |      Status:  assigned               
  Priority:  major                       |   Milestone:                         
 Component:  draft-ietf-netlmm-mn-ar-if  |     Version:  1.0                    
Resolution:                              |    Keywords:                         
-----------------------------------------+----------------------------------
Changes (by [email-masked]):

  * cc:  => [email-masked]
  * status:  new => assigned

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/90>
netlmm <http://tools.ietf.org/wg/netlmm/>
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Julien Laganier <[email-masked]>
Date: Tue, 4 Jul 2006 13:22:56 +0200

James Kempf wrote:
>
> 3) Section 2.3 needs to discuss what the MN should do about
> choosing a default router when it has moved. I think the latest
> version of the DNA draft should have some text in it indicating how
> the MN does default router reachability detection, but it leaves it
> up to the MN configuration whether it wants to eagerly or lazily
> switch to a new router. I think for NETLMM, the MN must be
> configured to switch eagerly, otherwise, it will experience packet
> loss or drop into NUD causing extensive delay. I think this applies
> to both the DHCP and autoconfig cases.

I re-read Section 5.2.5.2 "Router Reachability Detection and Default 
Router Selection" in draft-ietf-dna-protocol-01 and I did not find 
mention of this MN configuration. To me Section 2.3 does not need to 
say anything more; the MN just has to follow DNA:

   Prior to sending a DNA RS in response to an indication of link
   change, the host SHOULD set all Neighbor Cache entries for routers 
   on its Default Router List to STALE.  When the host receives an RA
   in reply to the RS, the host SHOULD mark that router's Neighbor
   Cache Entry [3] as REACHABLE, or add a Neighbor Cache Entry in the
   REACHABLE state if one does not currently exist.

   The host SHOULD also update its Default Router List in the 
   following fashion.  If any of the routers returning RAs are already
   on the default router list, the host SHOULD use the information in
   the RA to update the Default Route List entry with the new 
   information.  The host SHOULD add entries to the Default Router 
   List for any routers returning RAs that are not on the list.  The
   host SHOULD confine selection of a router from the Default Router
   List to those routers whose Neighbor Cache entries are in the
   REACHABLE state.  Note that the Default Router List SHOULD be
   updated as described here regardless of whether the RA indicates
   that the host has changed to a new IP link, since changes in router
   reachability are possible on some link types even if the host
   remains on the same IP link.

Perhaps I missed something in the rest of the DNA draft? Otherwise we 
can close this issue.

--julien

---

From: "James Kempf" <[email-masked]>
Date: Fri, 7 Jul 2006 16:31:05 -0700

Right, I think it is covered. It might help to reference this text in the 
MN-AR interface draft, just to make sure implementors don't lose sight of 
the fact that the default router may change.

            jak

---

From: netlmm <[email-masked]>
Date: Mon, 17 Jul 2006 12:40:13 -0000

#90: Configure DNA default router switching eagerly
-----------------------------------------+----------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  enhancement                 |      Status:  closed                 
  Priority:  major                       |   Milestone:                         
 Component:  draft-ietf-netlmm-mn-ar-if  |     Version:  1.0                    
Resolution:  fixed                       |    Keywords:                         
-----------------------------------------+----------------------------------
Changes (by [email-masked]):

  * resolution:  => fixed
  * status:  assigned => closed

Comment:

 There's no such configuration in the DNA specification: In all cases the
 MN should switch to a router whose NCE is in the REACHABLE state.

 Resolution: No text change.